const siteMetadata = {
  title: 'Augury',
  author: 'Augury',
  headerTitle: 'Augury',
  description:
    'The official website of progressive death metal titans Augury. Check in for the latest news, tour dates, music and videos.',
  language: 'en-ca',
  theme: 'dark', // system, dark or light
  siteUrl: 'https://augurymetal.com',
  siteRepo: 'https://github.com/cdransf/augurymetal.com',
  siteLogo: '/static/images/logo.png',
  image: '/static/images/avatar.png',
  socialBanner: '/static/images/twitter-card.png',
  email: 'info@augurymetal.com',
  twitter: 'https://twitter.com/augurymetal',
  facebook: 'https://www.facebook.com/augury',
  instagram: 'https://instagram.com/augurymetal',
  youtube: 'https://youtube.com/augurymetal',
  spotify: 'http://open.spotify.com/artist/7Iy3W9Pe1ivZzIM3jZvW59',
  applemusic: 'https://music.apple.com/us/artist/augury/1101253774',
  bandcamp: 'https://augurymetal.bandcamp.com',
  lastfm: 'https://www.last.fm/music/augury',
  locale: 'en-CA',
  analytics: {
    plausibleDataDomain: 'augurymetal.com',
    plausibleSrcUrl: '/script.12587e3213z2t1891zaz.js',
    plausibleApiUrl: '/api/12761a4481f2x6771zab',
  },
  newsletter: {
    // supports mailchimp, buttondown, convertkit, klaviyo
    // Please add your .env file and modify it according to your selection
    provider: '',
  },
  comment: {
    // If you want to use a commenting system other than giscus you have to add it to the
    // content security policy in the `next.config.js` file.
    // Select a provider and use the environment variables associated to it
    // https://vercel.com/docs/environment-variables
    provider: '', // supported providers: giscus, utterances, disqus
    giscusConfig: {
      // Visit the link below, and follow the steps in the 'configuration' section
      // https://giscus.app/
      repo: process.env.NEXT_PUBLIC_GISCUS_REPO,
      repositoryId: process.env.NEXT_PUBLIC_GISCUS_REPOSITORY_ID,
      category: process.env.NEXT_PUBLIC_GISCUS_CATEGORY,
      categoryId: process.env.NEXT_PUBLIC_GISCUS_CATEGORY_ID,
      mapping: 'pathname', // supported options: pathname, url, title
      reactions: '1', // Emoji reactions: 1 = enable / 0 = disable
      // Send discussion metadata periodically to the parent window: 1 = enable / 0 = disable
      metadata: '0',
      // theme example: light, dark, dark_dimmed, dark_high_contrast
      // transparent_dark, preferred_color_scheme, custom
      theme: 'light',
      // theme when dark mode
      darkTheme: 'transparent_dark',
      // If the theme option above is set to 'custom`
      // please provide a link below to your custom theme css file.
      // example: https://giscus.app/themes/custom_example.css
      themeURL: '',
    },
    utterancesConfig: {
      // Visit the link below, and follow the steps in the 'configuration' section
      // https://utteranc.es/
      repo: process.env.NEXT_PUBLIC_UTTERANCES_REPO,
      issueTerm: '', // supported options: pathname, url, title
      label: '', // label (optional): Comment 💬
      // theme example: github-light, github-dark, preferred-color-scheme
      // github-dark-orange, icy-dark, dark-blue, photon-dark, boxy-light
      theme: '',
      // theme when dark mode
      darkTheme: '',
    },
    disqusConfig: {
      // https://help.disqus.com/en/articles/1717111-what-s-a-shortname
      shortname: process.env.NEXT_PUBLIC_DISQUS_SHORTNAME,
    },
  },
}

module.exports = siteMetadata
